Forced Skype upgrade wont sign in Mac OS X

I have OS X 10.11.4 and the new forced Skype update doesn't work.  

I've been using Skype for 12 years daily  

Microsoft should be ashamed of ruining a fantastic product and essential communication tool. 

I plan to switch to Google Voice unless this is fixed today.
|
Answer
Answer

For all users running older version of OSX, unable to sign in to the older desktop clients:

Your Mac has to have OSX 10.9 (Mavericks) or higher in order to continue to run the latest versions of Skype.  Older versions of the software will not work, or work for long, even if forced.  If you need to run an older version of OSX for whatever reason, then you will not be able to use a desktop version of Skype, on that computer. The remaining option would be to use Skype for Web, in a limited capacity (IMs only).

What are the system requirements for Skype?

7 people found this reply helpful

·

Was this reply helpful?

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

 
 

Question Info


Last updated January 30, 2021 Views 1,417 Applies to: